services:
    app.command_bus.adapter.messenger:
        class: App\Service\Command\Adapter\MessengerCommandBusAdapter
        arguments:
            - '@command.bus'

    app.command_bus:
        class: App\Service\Command\CommandBus
        arguments:
            - '@app.command_bus.adapter.messenger'

    App\Service\Command\CommandBusInterface:
        alias: app.command_bus

